petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscRegisterFinalize

Registers a function that is to be called in PetscFinalize()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRegisterFinalize(PetscErrorCode (*f)(void))

Not Collective

### Input Parameter

PetscErrorCode (*fun)(void) -

### Notes

This is used by, for example, DMInitializePackage() to have DMFinalizePackage() called

### See Also

PetscRegisterFinalizeAll()

Level:developer
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages